import { _ as _baseGet } from "./_baseGet.mjs";
import { _ as _baseSet } from "./_baseSet.mjs";
import { _ as _castPath } from "./_castPath.mjs";
var baseGet = _baseGet, baseSet = _baseSet, castPath = _castPath;
function basePickBy(object, paths, predicate) {
  var index = -1, length = paths.length, result = {};
  while (++index < length) {
    var path = paths[index], value = baseGet(object, path);
    if (predicate(value, path)) {
      baseSet(result, castPath(path, object), value);
    }
  }
  return result;
}
var _basePickBy = basePickBy;
export {
  _basePickBy as _
};
